<template>
  <div class="flex-grow flex">
    <TTool @click="toggle('bold')" :variant="{selected:selectedValues.includes('bold')}">
      <Icon 
        type="bold"
         />
    </TTool>
     <TTool @click="toggle('italic')" :variant="{selected:selectedValues.includes('italic')}">
      <Icon 
        type="italic" />
    </TTool>
  </div>
</template>

<script>
import mixin from '@components/edit-element-text/mixin'

export default {
  mixins: [ mixin ],
  computed: {
    selectedValues(){
      if(this.config.fontStyle === 'normal') return []
      else return this.config.fontStyle.split(" ")
    }
  },
  methods: {
    toggle(key){
      var values = [...[], ...this.selectedValues]
      const index = values.indexOf(key)
      if(index > -1){
        values.splice(index, 1)
      } else {
        values.push(key)
      }
      this.updateElementConfig({key: 'fontStyle', value: values.join(' ').trim()})
    }
  }
}
</script>